fop 1.1

## org.apache.fop.render.svg
Class SVGDocumentHandlerMaker

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
          org.apache.fop.render.svg.SVGDocumentHandlerMaker

    public class SVGDocumentHandlerMaker

extends AbstractIFDocumentHandlerMaker

Document handler factory for SVG output.

Constructor Summary
`SVGDocumentHandlerMaker()`

Method Summary
`java.lang.String[]` `getSupportedMimeTypes()`
`IFDocumentHandler` `makeIFDocumentHandler(FOUserAgent ua)` Instantiates a new `IFDocumentHandler`.
`boolean` `needsOutputStream()`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
`isMimeTypeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGDocumentHandlerMaker

    public SVGDocumentHandlerMaker()

Method Detail

### makeIFDocumentHandler

    public IFDocumentHandler makeIFDocumentHandler(FOUserAgent ua)

  Instantiates a new `IFDocumentHandler`.

  Specified by:
    `makeIFDocumentHandler` in class `AbstractIFDocumentHandlerMaker`
  Parameters:
    `ua` - the user agent
  Returns:
    the newly instantiated document handler

### needsOutputStream

    public boolean needsOutputStream()

  Specified by:
    `needsOutputStream` in class `AbstractIFDocumentHandlerMaker`
  Returns:
    Indicates whether this document handler requires an OutputStream to work with.

### getSupportedMimeTypes

    public java.lang.String[] getSupportedMimeTypes()

  Specified by:
    `getSupportedMimeTypes` in class `AbstractIFDocumentHandlerMaker`
  Returns:
    an array of MIME types the document handler supports.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.